#version 450
layout(location=0) in vec2 v_uv;
layout(location=1) in vec4 v_col;
layout(location=0) out vec4 out_color;
layout(set=2, binding=0) uniform sampler2D tex;
void main() {
    vec4 t = texture(tex, v_uv);
    out_color = vec4(t.rgb * v_col.rgb, t.a * v_col.a);
}
